SIMATIC S7 MatLab Toolbox

Public Member Functions | Public Attributes | List of all members
PlcBooleanArray Class Reference

Represents a PLC array which addresses an unique data entry stored within a programmable logic controller (PLC) its values are interpreted as logical values. More...

Inheritance diagram for PlcBooleanArray:

## Public Member Functions
function | PlcBooleanArray (in address, in valuesOrLength)
| Initializes a new instance of the PlcBooleanArray class using the specified address and valuesOrLength. More...
function get | Value (in this)
| Gets the value assigned to the PLC value.
function set | Value (in this, in value)
| Sets the value assigned to the PLC value.
Public Member Functions inherited from PlcArray
function get | Length (in this)
| Gets a 32-bit integer that represents the total number of elements within the array.
Public Member Functions inherited from PlcValue
function get | Address (in this)
| Gets the address of the PLC value.
function | GetValue (in this, in source)
| Retrieves the current value of the PLC value from the source specified. More...
function | IsValidType (in this, in value)
| Determines whether a specified value is acceptable for this PlcValue. More...
function | IsValidValue (in this, in value)
| Determines whether the provided value is accepted for the type of PLC value through basic type checking and also potentially if it is within the allowed range of value for that type. More...
function | SetValue (in this, in target, in value)
| Stores the value in the target specified. More...

## Public Attributes
Property | Value
| Gets or sets the value assigned to the PLC value. The value assigned to the PLC value.
Public Attributes inherited from PlcArray
Property | Length
| Gets a 32-bit integer that represents the total number of elements within the array. A 32-bit integer that represents the total number of elements within the array.
Public Attributes inherited from PlcValue
Property | Address
| Gets the address of the PLC value. The PlcAddress used by the PLC value.
Property | Value
| Gets or sets the value assigned to the PLC value. The value assigned to the PLC value.
Property | ManagedInstance
| This property is not intended to be used outside of the toolbox.

## Additional Inherited Members
Protected Member Functions inherited from PlcArray
function | PlcArray (in typeCode, in address, in values)
| Initializes a new instance of the PlcArray class using the specified typeCode, address and values. More...
Protected Member Functions inherited from PlcValue
function | PlcValue (in typeCode, in address, in length, in value)
| Initializes a new instance of the PlcValue class. More...

## Detailed Description

Represents a PLC array which addresses an unique data entry stored within a programmable logic controller (PLC) its values are interpreted as logical values.

## Constructor & Destructor Documentation

## ◆ PlcBooleanArray()

function PlcBooleanArray::PlcBooleanArray | ( | in | address,
|  | in | valuesOrLength
| ) |  |

Initializes a new instance of the PlcBooleanArray class using the specified address and valuesOrLength.

Parameters

  address | The PlcAddress of the new PlcBooleanArray to which the PLC values belong.
  valuesOrLength | values: The initial values of the new PlcBooleanArray. length: The array length used to store the array values of the PlcBooleanArray.

Errors

- The address does not refer to the PlcRawType.Bit.
- The length is out of the bounds defined by PlcType.MinLength and PlcType.MaxLength.

The documentation for this class was generated from the following file:

- PlcBooleanArray.m